MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026584Open CASCADE[OCCT] OCCT:Codingpublic2015-08-21 11:492016-04-20 15:48
Reporterski 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026584: Eliminate compile warnings obtained by building occt with vc14: declaration of local variable hides class member
DescriptionNext warnings appears during occt compilation with vc14:

/src/NCollection/NCollection_CellFilter.hxx(284): warning C4458: declaration of 'myDim' hides class member
/src/NCollection/NCollection_CellFilter.hxx(304): warning C4458: declaration of 'myDim' hides class member
/src/NCollection/NCollection_CellFilter.hxx(314): warning C4458: declaration of 'myDim' hides class member
\src\math\math_GlobOptMin.cxx(270): warning C4458: declaration of 'myTmp' hides class member
\src\math\math_GlobOptMin.cxx(287): warning C4458: declaration of 'myTmp' hides class member
Steps To ReproduceTry to compile occt with vc14 (Visual Studio 2015)
TagsNo tags attached.
Test case number
Attached Files

- Relationships
child of 0026547closedski Configuration - fix compilation errors on VS2015 

-  Notes
(0044514)
git (administrator)
2015-08-21 17:13

Branch CR26584 has been created by ski.

SHA-1: 4115f37c7bdfa0fd5439ef7a6ac3c82872a282a6


Detailed log of new commits:

Author: ski
Date: Tue Aug 18 14:47:04 2015 +0300

    0026584: Eliminate compile warnings obtained by building occt with vc14: declaration of local variable hides class member
    
    Eliminated warning "declaration of variable hides class member"
(0045305)
git (administrator)
2015-09-09 13:06

Branch CR26584 has been updated forcibly by ski.

SHA-1: 2b8d0ea3f55e05998e3c2d7df7309d5a6c75e7f4
(0045318)
ski (developer)
2015-09-09 14:20

Warnings were fixed on vc14.
(0045363)
abv (manager)
2015-09-10 06:36

Reviewed, please integrate
(0046996)
git (administrator)
2015-10-16 16:37

Branch CR26584 has been deleted by kgv.

SHA-1: 2b8d0ea3f55e05998e3c2d7df7309d5a6c75e7f4

- Related Changesets
occt: master 747f90db
Timestamp: 2015-08-18 11:47:04
Author: ski
Committer: bugmaster
Details ] Diff ]
0026584: Eliminate compile warnings obtained by building occt with vc14: declaration of local variable hides class member

Eliminated warning "declaration of variable hides class member"
mod - src/math/math_GlobOptMin.cxx Diff ] File ]
mod - src/NCollection/NCollection_CellFilter.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-08-21 11:49 ski New Issue
2015-08-21 11:49 ski Assigned To => ski
2015-08-21 11:53 ski Status new => assigned
2015-08-21 17:13 git Note Added: 0044514
2015-08-25 09:31 kgv Relationship added child of 0026547
2015-09-09 13:06 git Note Added: 0045305
2015-09-09 14:20 ski Note Added: 0045318
2015-09-09 14:20 ski Assigned To ski => abv
2015-09-09 14:20 ski Status assigned => resolved
2015-09-10 06:36 abv Note Added: 0045363
2015-09-10 06:36 abv Assigned To abv => bugmaster
2015-09-10 06:36 abv Status resolved => reviewed
2015-09-10 13:27 bugmaster Status reviewed => tested
2015-09-11 14:09 bugmaster Changeset attached => occt master 747f90db
2015-09-11 14:09 bugmaster Status tested => verified
2015-09-11 14:09 bugmaster Resolution open => fixed
2015-10-16 16:37 git Note Added: 0046996
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:48 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker